<nav class="navbar navbar-default">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a [routerLink]="['']" class="navbar-brand" href="#">Brand</a>
    </div>

    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
      <ul class="nav navbar-nav navbar-right">
        <li *ngIf="!(authService.userSignedIn$ | async)">
          <a (click)="presentAuthDialog()">Login</a></li>
        <li *ngIf="!(authService.userSignedIn$ | async)">
          <a (click)="presentAuthDialog('register')">Register</a></li>
        <li *ngIf="(authService.userSignedIn$ | async)">
          <a [routerLink]="['/profile']">Profile</a></li>
        <li *ngIf="(authService.userSignedIn$ | async)">
          <a (click)="logOut()">Logout</a></li>
      </ul>
    </div>
  </div>
</nav>
  
<app-auth-dialog #authDialog></app-auth-dialog>